sylius_twig_hooks:
    hooks:
        'sylius_admin.channel.update.content':
            form:
                component: 'sylius_admin:channel:form'
                props:
                    resource: '@=_context.resource'
                    form: '@=_context.form'
                    template: '@SyliusAdmin/channel/form.html.twig'
                configuration:
                    method: 'PUT'
                priority: 0

        'sylius_admin.channel.update.content.form':
            sections:
                template: '@SyliusAdmin/channel/form/sections.html.twig'
                priority: 0

        'sylius_admin.channel.update.content.form.sections':
            general:
                template: '@SyliusAdmin/channel/form/sections/general.html.twig'
                priority: 400
            shop_billing_data:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data.html.twig'
                priority: 300
            money:
                template: '@SyliusAdmin/channel/form/sections/money.html.twig'
                priority: 200
            omnibus:
                template: '@SyliusAdmin/channel/form/sections/omnibus.html.twig'
                priority: 100
            look_and_feel:
                template: '@SyliusAdmin/channel/form/sections/look_and_feel.html.twig'
                priority: 0

        'sylius_admin.channel.update.content.form.sections.general':
            default:
                enabled: false
            code:
                template: '@SyliusAdmin/channel/form/sections/general/code.html.twig'
                priority: 1200
            color:
                template: '@SyliusAdmin/channel/form/sections/general/color.html.twig'
                priority: 1100
            enabled:
                template: '@SyliusAdmin/channel/form/sections/general/enabled.html.twig'
                priority: 1000
            channel_name:
                template: '@SyliusAdmin/channel/form/sections/general/name.html.twig'
                priority: 900
            hostname:
                template: '@SyliusAdmin/channel/form/sections/general/hostname.html.twig'
                priority: 800
            contact_email:
                template: '@SyliusAdmin/channel/form/sections/general/contact_email.html.twig'
                priority: 700
            contact_phone_number:
                template: '@SyliusAdmin/channel/form/sections/general/contact_phone_number.html.twig'
                priority: 600
            description:
                template: '@SyliusAdmin/channel/form/sections/general/description.html.twig'
                priority: 500
            countries:
                template: '@SyliusAdmin/channel/form/sections/general/countries.html.twig'
                priority: 400
            address_required_in_checkout:
                template: '@SyliusAdmin/channel/form/sections/general/address_required_in_checkout.html.twig'
                priority: 300
            skip_shipping_step:
                template: '@SyliusAdmin/channel/form/sections/general/skip_shipping_step.html.twig'
                priority: 200
            skip_payment_step:
                template: '@SyliusAdmin/channel/form/sections/general/skip_payment_step.html.twig'
                priority: 100
            account_verification_required:
                template: '@SyliusAdmin/channel/form/sections/general/account_verification_required.html.twig'
                priority: 0

        'sylius_admin.channel.update.content.form.sections.money':
            default_tax_zone:
                template: '@SyliusAdmin/channel/form/sections/money/default_tax_zone.html.twig'
                priority: 300
            tax_calculation_strategy:
                template: '@SyliusAdmin/channel/form/sections/money/tax_calculation_strategy.html.twig'
                priority: 200
            currencies:
                template: '@SyliusAdmin/channel/form/sections/money/currencies.html.twig'
                priority: 100
            base_currency:
                template: '@SyliusAdmin/channel/form/sections/money/base_currency.html.twig'
                priority: 0

        'sylius_admin.channel.update.content.form.sections.shop_billing_data':
            company:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data/company.html.twig'
                priority: 500
            country:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data/country.html.twig'
                priority: 400
            city:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data/city.html.twig'
                priority: 300
            tax_id:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data/tax_id.html.twig'
                priority: 200
            street:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data/street.html.twig'
                priority: 100
            postcode:
                template: '@SyliusAdmin/channel/form/sections/shop_billing_data/postcode.html.twig'
                priority: 0

        'sylius_admin.channel.update.content.form.sections.omnibus':
            show_lowest_price:
                template: '@SyliusAdmin/channel/form/sections/omnibus/show_lowest_price.html.twig'
                priority: 200
            lowest_price_checking_period:
                template: '@SyliusAdmin/channel/form/sections/omnibus/lowest_price_checking_period.html.twig'
                priority: 100
            taxons_excluded_from_showing_lowest_price:
                template: '@SyliusAdmin/channel/form/sections/omnibus/taxons_excluded_from_showing_lowest_price.html.twig'
                priority: 0

        'sylius_admin.channel.update.content.form.sections.look_and_feel':
            menu_taxon:
                template: '@SyliusAdmin/channel/form/sections/look_and_feel/menu_taxon.html.twig'
                priority: 200
            locales:
                template: '@SyliusAdmin/channel/form/sections/look_and_feel/locales.html.twig'
                priority: 100
            default_locale:
                template: '@SyliusAdmin/channel/form/sections/look_and_feel/default_locale.html.twig'
                priority: 0
